pmrep: fix archive end time reporting
[pcp.git] / qa / 267
bloba116e580a2d524251ca71532ccef27adaaf29a3c
1 #!/bin/sh
2 # PCP QA Test No. 267
3 # this tests for memory leaks in pmNewContext->pmDestroyContext loops
5 # Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
8 seq=`basename $0`
9 echo "QA output created by $seq"
11 # get standard filters
12 . ./common.product
13 . ./common.filter
15 status=1 # failure is the default!
16 trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
18 # real QA test starts here
20 cd tmparch
21 if [ ! -f foo.0 ]
22 then
23 echo "Error: this test needs to use archive \"foo\""
24 exit 1
27 echo "Checking host mode ..."
28 ../src/chk_memleak -i 250 -h localhost
29 status1=$?
30 echo "Checking archive mode ..."
31 ../src//chk_memleak -i 250 -a foo
32 status2=$?
34 if [ $status1 -eq 0 -a $status2 -eq 0 ]
35 then
37 else
38 echo "Error: chk_memleak failed"
39 exit $status
42 # success, all done
43 status=0
44 exit